<template>
	<view class="bg-white bottom-part bg-white">
		<view class=" text-center text-sm">
			<view class="padding-xxs">
				全国统一客服/投诉热线：
				<text class="oil-main-color" @tap="makeCall">{{hotline}}</text>
			</view>
			<view class="padding-xs">
				<checkbox @tap="onChange" class='round red chagesize' :class="checked?'checked':''" :checked="checked?true:false"
				 value="C"></checkbox> 我已阅读并同意
				<text @tap="toAgree('baichuanUserAgree')" class="oil-main-color">《用户协议》</text>和<text @tap="toAgree('baichuanPrivacyAgreement')" class="oil-main-color">《隐私政策》</text>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		name: 'loginBottom',
		props:{
			checked:{
				type:Boolean,
				default:false
			}
		},
		data() {
			return {
				count: 0,
				hotline: '15653644882'
			}
		},
		watch:{
			checked(n){
				
			}
		},
		methods: {
			onChange() { 
				let checked = !this.checked
				this.$emit('onCheck', checked)
			},
			toAgree(link) {
				uni.navigateTo({
					url: `/BagAuth/pages/agreeMent/agreeMent?link=${link}`
				})
			},
			makeCall() {
				uni.makePhoneCall({
					phoneNumber: this.hotline
				})
			}
		},
	}
</script>

<style>
	.bottom-part {
		width: 750upx;
		position: absolute;
		bottom: 60rpx;
	}

	.chagesize {
		transform: scale(0.6, 0.6);
	}
</style>
